From: Cedric Le Goater <clg@fr.ibm.com>

lxc_config_readline() will be used to parse configuration variable
assigned from the command line with --define

Signed-off-by: Cedric Le Goater <clg@fr.ibm.com>
Signed-off-by: Daniel Lezcano <dlezcano@fr.ibm.com>
---
 src/lxc/confile.c |    5 +++++
 src/lxc/confile.h |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/src/lxc/confile.c b/src/lxc/confile.c
index 61c5b3e..0848f98 100644
--- a/src/lxc/confile.c
+++ b/src/lxc/confile.c
@@ -659,6 +659,11 @@ static int parse_line(char *buffer, void *data)
 	return config->cb(key, value, data);
 }

+int lxc_config_readline(char *buffer, struct lxc_conf *conf)
+{
+	return parse_line(buffer, conf);
+}
+
 int lxc_config_read(const char *file, struct lxc_conf *conf)
 {
 	char buffer[MAXPATHLEN];
diff --git a/src/lxc/confile.h b/src/lxc/confile.h
index 20c9b39..f88e55f 100644
--- a/src/lxc/confile.h
+++ b/src/lxc/confile.h
@@ -24,6 +24,6 @@
 struct lxc_conf;

 extern int lxc_config_read(const char *file, struct lxc_conf *conf);
-
+extern int lxc_config_readline(char *buffer, struct lxc_conf *conf);


-- 
1.6.2.5


--===============1756053352==
Content-Type: text/plain; charset="iso-8859-1"
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

_______________________________________________
Linux mailing list
Linux@www.lab.toulouse-stg.fr.ibm.com
http://www.lab.toulouse-stg.fr.ibm.com/mailman/listinfo/linux

--===============1756053352==--




